| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# sgmltag

$Revision: 1.3 $

$Date: 2002/06/12 11:18:36 $

sgmltag — A component of SGML markup

## Synopsis

### Mixed Content Model

    sgmltag ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

Name | Type | Default
class |
Enumeration:
attribute
attvalue
element
emptytag
endtag
genentity
numcharref
paramentity
pi
sgmlcomment
starttag
xmlpi
| None

## Description

An `SGMLTag` identifies an SGML markup construct. The utility of this element is almost wholly constrained to books about SGML.

`SGMLTag` is sufficient for most XML constructs, which are identical to the corresponding SGML constructs, it but does not have any provisions for handling the special features of XML markup. A future version of DocBook will address this issue, probably by adding new `Class` values. In the meantime, you may get by by assigning a `Role` attribute for XML.

### Processing expectations

Formatted inline. `SGMLTag` generates all the necessary punctuation before and after the construct it identifies. For example, it generates both the leading ampersand and the trailing semicolon when the `Class` is `genentity`.

### Parents

These elements contain sgmltag: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in sgmltag: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## Attributes

class

  `Class` identifies the specific SGML construct represented.

## See Also

`computeroutput`, `constant`, `literal`, `markup`, `option`, `optional`, `parameter`, `prompt`, `replaceable`, `userinput`, `varname`.

## Examples

For examples, see `collab`, `link`, `simplelist`, `wordasword`, `xref`.

setinfo |  | shortaffil

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.